PSA: Jailbreakers Should Avoid Upgrading to iOS 11.2.5


iOS 11 - iOS 11.2.5 Jailbreak

A few days back, coolstar, had said that most patches used in Electra jailbreak will work on iOS 11.2.x. However, he now recommends staying on iOS 11.2 – iOS 11.2.2, as Apple seems to have made a lot of changes on the security side in iOS 11.2.5.

He tweeted:

If you’re on 11.2-11.2.2, stay there It appears 11.2.5 might break Electra’s post-exploitation patches, whereas 11.2 – 11.2.2 just need a new tfp0 exploit

He then goes on to add:

Also: looks like iOS 11.2.5 changed a LOT on the security side. <11.2.2 is very similar to 11.1.2 however. find_port() is removed on 11.2.5 🙁

Apple has been improving the security to make it difficult for hackers to jailbreak iOS to stay ahead of the cat and mouse game with jailbreakers, so it doesn’t come as a surprise that they continue to make improvements on the security side. It is not clear if Apple has made these security-related changes in iOS 11.2.5 as a response to the iOS 11 jailbreak, or a side effect of a change they had made to improve iOS security.

One of the golden rules of jailbreaking is to stay where you’re and avoid updating your device to the latest iOS software update to improve your chances of jailbreaking your iOS device. So if you’re on iOS 11.2, iOS 11.2.1 or iOS 11.2.2 then avoid upgrading to iOS 11.2.5 or iOS 11.3.

coolstar has currently given Electra Jailbreak with Cydia for iOS 11 to tweak developers so that they can update their packages.

Don’t forget to signup for our Daily Newsletter so you don’t miss any iOS 11 jailbreak related news.